Module jdk.jartool
Package jdk.security.jarsigner

# Class JarSignerException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
jdk.security.jarsigner.JarSignerException

All Implemented Interfaces:
  `Serializable`

    public class JarSignerException
    extends RuntimeException

This exception is thrown when `JarSigner.sign(java.util.zip.ZipFile, java.io.OutputStream)` fails.

Since:
  9
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`JarSignerException​(String message, Throwable cause)` | Constructs a new `JarSignerException` with the specified detail message and cause.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JarSignerException

public JarSignerException​(String message, Throwable cause)
Constructs a new `JarSignerException` with the specified detail message and cause.

Note that the detail message associated with `cause` is not automatically incorporated in this `JarSignerException`'s detail message.

Parameters:
  `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)